Bug 90818 - PHP doesn't require proper libxml2 to be installed
PHP doesn't require proper libxml2 to be installed
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-05-14 05:34 EDT by Leszek Matok
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-13 08:42:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leszek Matok 2003-05-14 05:34:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020623

Description of problem:
I had libxml2-2.4.2-1 installed (I believe it was from Red Hat 7.2) and tried to
install php-4.2.2-19. When starting my httpd-2.0.40-21.1 it said it cannot load
libphp4.so because __xmlDoValidityCheckingDefaultValue is undefined. I think you
should require newer version of libxml2 or bump the library version, like you
use to when library API changes. I have downloaded libxml2-2.5.7-2 and it works.
In my opinion, php package should require this (newer) version of libxml2,
because it refuses to work with older ones.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Joe Orton 2003-05-14 05:42:12 EDT
Daniel, in what version was __xmlDoValidityCheckingDefaultValue added to libxml2?
Comment 2 Daniel Veillard 2003-05-14 09:48:37 EDT
Hum, it's a 2.5.7 thing, I switched on thread support by default in 2.5.7
I think a "Requires libxml2 >= 2.5.7" should be sufficient,
sorry for this incompatibility, I had to make the jump at some point
and 2.5.7 release was the best time for this ...

Comment 3 Joe Orton 2003-06-13 07:16:13 EDT
It's difficult to find and eliminate this type of dependency; the only real
solution is to upgrade wholesale rather than try and mix and match packages from
different versions of Red Hat Linux.
Comment 4 Daniel Veillard 2003-06-13 07:56:45 EDT
WHAT ????

Requires libxml2 >= 2.5.7
looks like a perfectly adequate way to flag the dependancy in the spec file
for this bug. Why won't this be fixed ?

Comment 5 Joe Orton 2003-06-13 08:42:02 EDT
This type of dependency can't be picked up automatically, unfortunately.  Any of
the 30-odd PHP extensions might pick up a dependency on a newer version of the
particular library interface they wrap.  We don't have the resources to
carefully audit thirty PHP modules and 30 library packages for such
compatibility issues, so can't pretend that upgrading to the PHP package from
RHL9 on a RHL7.2 system has any chance of working.

Note You need to log in before you can comment on or make changes to this bug.